Bug 901611 - Review Request: atoum - PHP Unit Testing framework
Summary: Review Request: atoum - PHP Unit Testing framework
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-18 16:02 UTC by Johan Cwiklinski
Modified: 2013-04-18 02:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-18 02:42:40 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpci.log (58.82 KB, text/plain)
2013-01-21 13:10 UTC, Remi Collet
no flags Details
php-atoum-review.txt (7.74 KB, text/plain)
2013-01-21 13:11 UTC, Remi Collet
no flags Details

Description Johan Cwiklinski 2013-01-18 16:02:44 UTC
Spec URL: http://odysseus.x-tnd.be/fedora/php-atoum/php-atoum.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-atoum/php-atoum-0-0.2.git724d3ee.fc18.src.rpm
Description: PHP Unit Testing framework
Fedora Account System Username: trasher

Comment 1 Remi Collet 2013-01-21 13:10:15 UTC
Created attachment 684275 [details]
phpci.log

Comment 2 Remi Collet 2013-01-21 13:11:12 UTC
Created attachment 684276 [details]
php-atoum-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 901611

Comment 3 Remi Collet 2013-01-21 13:11:58 UTC
[!]: Requires correct, justified where necessary.
	Missing: php-xml
	Requires: /usr/bin/env instead of /usr/bin/php
	=> fix the shebang in /usr/bin/atoum
[!]: %check is present and all tests pass.
	%check
	cd tests/units
	echo "date.timezone=UTC" >php.ini
	export PHPRC=$(pwd)/php.ini
	php runner.php --directories .
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
	Clean as other EL-5 stuff not present
[!]: License field in the package spec file matches the actual license.
	COPYING file is BSD (3 clauses), not MIT
	=> probably worth asking upstream to add a license "header" in all files
[!]: Package complies to the Packaging Guidelines
	Non-PEAR PHP software which provides shared libraries should put its PHP source 
	files for such shared libraries in a subfolder of /usr/share/php.
	=> this is not a library, so should rather use /usr/share/foo
	(perhaps "classes" could go in /usr/share/php, which is in PHP include_path)

Comment 4 Remi Collet 2013-01-21 13:15:44 UTC
I miss this important one

[!]: Package is named according to the Package Naming Guidelines.

As this is not a library, "atoum" is the correct name.

Comment 5 Johan Cwiklinski 2013-02-10 23:54:39 UTC
Here is th new version:
Spec URL: http://odysseus.x-tnd.be/fedora/atoum/atoum.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/atoum/atoum-0-0.2.gitdbfb82f.fc18.src.rpm

Comment 6 Remi Collet 2013-02-11 05:57:28 UTC
[x]: Requires correct, justified where necessary.
  /usr/bin/php ok
  php-xml ok

[x]: %check is present and all tests pass.

[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the

[x]: License field in the package spec file matches the actual license.
  BSD ok

[x]: Package complies to the Packaging Guidelines
  /usr/share/atoum ok

[x]: Package is named according to the Package Naming Guidelines.
  atoum ok


All issues fixed.

All seems fine now, no blocker

=== APPROVED ===

Comment 7 Johan Cwiklinski 2013-02-11 06:53:22 UTC
New Package SCM Request
=======================
Package Name: atoum
Short Description: PHP Unit Testing framework
Owners: trasher
Branches: f17 f18
InitialCC:

Comment 8 Gwyn Ciesla 2013-02-11 13:53:25 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-02-12 14:06:19 UTC
atoum-0-0.2.gitdbfb82f.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/atoum-0-0.2.gitdbfb82f.fc17

Comment 10 Fedora Update System 2013-02-12 14:06:31 UTC
atoum-0-0.2.gitdbfb82f.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/atoum-0-0.2.gitdbfb82f.fc18

Comment 11 Fedora Update System 2013-02-13 04:25:25 UTC
atoum-0-0.2.gitdbfb82f.fc18 has been pushed to the Fedora 18 testing repository.

Comment 12 Fedora Update System 2013-04-18 02:42:44 UTC
atoum-0-0.2.gitdbfb82f.fc18 has been pushed to the Fedora 18 stable repository.

Comment 13 Fedora Update System 2013-04-18 02:54:06 UTC
atoum-0-0.2.gitdbfb82f.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.